# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define oname music-applet

Name: gnome-applets-extra-music
Version: 2.4.0
Release: alt0.M41.1
Summary: A GNOME panel applet to control various music players
License: GPLv2+
Group: Sound
Url: http://www.kuliniewicz.org/music-applet/

Source0: http://www.kuliniewicz.org/%oname/downloads/%oname-%version.tar.gz

## The build script will give warnings about missing python modules, such as
## gconf, gnomeapplet, etc.; but these are entirely false positives.
## These modules are only needed at runtime, hence are not included as
## build-time dependencies.
BuildRequires: GConf2 rpm-build-gnome
BuildPreReq: python-module-pygtk-devel
BuildPreReq: libgtk+2-devel
BuildPreReq: libgnome-panel-devel
BuildPreReq: libpango-devel >= 1.6
BuildPreReq: python-module-pygnome-devel

BuildRequires: gcc-c++ perl-XML-Parser  python-modules-encodings

Requires: python-module-dbus
Requires: python-module-notify
Requires: python-module-pygnome-applet
Requires: python-module-pygnome-gconf
Requires: python-module-pygnome-desktop

BuildRequires: rpm-build-compat >= 0.95

%description
Music Applet is a small, simple GNOME panel applet that lets you control a
variety of different music players from the panel. Music Applet provides easy
access to information about the current song and the most important playback
controls.

Music Applet is the successor to the Rhythmbox Applet and currently supports
the following music players:
 * Amarok
 * Audacious
 * Banshee
 * Exaile
 * MPD
 * Muine
 * Rhythmbox
 * Quod Libet
 * VLC
 * XMMS1 and XMMS2

%prep
%setup -n %oname-%version

%build
%configure --disable-schemas-install --disable-static
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang --with-gnome %oname

%post
%gconf2_install %oname

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %oname
fi

%files -f %oname.lang
%doc AUTHORS ChangeLog COPYING FAQ NEWS README README.plugins THANKS
%config %_sysconfdir/gconf/schemas/*
%bonobo_serversdir/*.server
%_libdir/gnome-2.0/ui/GNOME_Music_Applet.xml

%python_sitelibdir/musicapplet
%exclude %python_sitelibdir/musicapplet/*.la

%_libexecdir/%oname
%_datadir/%oname
%_datadir/icons/hicolor/*/apps/*

%changelog
* Fri Aug 08 2008 Yuri N. Sedunov <aris@altlinux.org> 2.4.0-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Wed Jun 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Tue May 27 2008 Alexey Shabalin <shaba@altlinux.ru> 2.3.1-alt1
- Initial build for ALTLinux

